Raritan PX2/PX3 JSON-RPC API

Diagnostics.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6 /**
7 * Network Configuration
8 */
9 module net {
10
11 /** Diagnostics interface */
12 interface Diagnostics {
13 constant int NO_ERROR = 0; ///< No error
14 constant int ERR_INVALID_PARAM = 1; ///< Invalid parameters
15 constant int ERR_EXEC_FAIL = 2; ///< Error during execution
16 constant int ERR_TIMEOUT = 3; ///< Timeout
17 constant int ERR_RESOLVE_FAIL = 4; ///< Name resolution failure
18
19 /**
20 * Ping a network host (send out ICMP echo requests)
21 *
22 * @param hostName host that should be pinged
23 * @param count number of echo requests that should be sent (up to 20)
24 * @param results output of the ping command
25 *
26 * @return NO_ERROR if ping command was successful
27 * @return ERR_INVALID_PARAM if any parameters were invalid
28 * @return ERR_EXEC_FAIL if there was an error during ping execution
29 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
30 */
31 int ping(in string hostName, in int count, out vector<string> results);
32
33 /**
34 * Get the route packet trace to a network host
35 *
36 * @param hostName destination host to track
37 * @param timeout Timeout (in seconds) to wait for traceroute results (up to 900)
38 * @param useIcmp use ICMP packets instead of UDP packets
39 * @param results trace output
40 *
41 * @return NO_ERROR if traceroute was successful
42 * @return ERR_INVALID_PARAM if any parameters were invalid
43 * @return ERR_EXEC_FAIL if there was an error during traceroute execution
44 * @return ERR_TIMEOUT if traceroute didn't finish before timeout elapsed
45 * @return ERR_RESOLVE_FAIL if the host name could not be resolved
46 */
47 int traceRoute(in string hostName, in int timeout,
48 in boolean useIcmp, out vector<string> results);
49
50 /**
51 * List the currently active TCP connections (netstat -ta)
52 * (lists both listening as well as established connections)
53 *
54 * @return NO_ERROR if netstat was successful
55 * @return ERR_EXEC_FAIL if there was an error during netstat execution
56 */
57 int listTcpConnections(out vector<string> results);
58 };
59
60 }
net
Network Configuration.
Definition: Diagnostics.idl:9
net::Diagnostics
Diagnostics interface.
Definition: Diagnostics.idl:12